Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 721582 - media-libs/gst-plugins-base-1.16.2[wayland]: *** No rule to make target '/stable/xdg-shell/xdg-shell.xml', needed by 'xdg-shell-client-protocol.c'.
Summary: media-libs/gst-plugins-base-1.16.2[wayland]: *** No rule to make target '/sta...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2020-05-08 06:02 UTC by Lars Wendler (Polynomial-C)
Modified: 2020-11-15 19:30 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,567.50 KB, text/plain)
2020-05-08 06:02 UTC, Lars Wendler (Polynomial-C)
Details
Fix bashisms in configure for Wayland (waylandconf.patch,414 bytes, patch)
2020-05-10 14:21 UTC, Chris Mayo
Details | Diff
gst-plugins-base-1.16.2-avoid_bashisms.patch (gst-plugins-base-1.16.2-avoid_bashisms.patch,1.39 KB, patch)
2020-05-11 20:47 UTC, Lars Wendler (Polynomial-C)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2020-05-08 06:02:36 UTC
Created attachment 636790 [details]
build.log

Making all in wayland
make[6]: Entering directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs/gst/gl/wayland'
make[6]: *** No rule to make target '/stable/xdg-shell/xdg-shell.xml', needed by 'xdg-shell-client-protocol.c'.  Stop.
make[6]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs/gst/gl/wayland'
make[5]: *** [Makefile:1343: all-recursive] Error 1
make[5]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs/gst/gl'
make[4]: *** [Makefile:891: all] Error 2
make[4]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs/gst/gl'
make[3]: *** [Makefile:649: all-recursive] Error 1
make[3]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs/gst'
make[2]: *** [Makefile:614: all-recursive] Error 1
make[2]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64/gst-libs'
make[1]: *** [Makefile:731: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/media-libs/gst-plugins-base-1.16.2/work/gst-plugins-base-1.16.2-abi_x86_64.amd64'
make: *** [Makefile:662: all] Error 2
 * ERROR: media-libs/gst-plugins-base-1.16.2::gentoo failed (compile phase):
 *   emake failed


# emerge --info gst-plugins-base
Portage 2.3.99 (python 3.7.7-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-9.3.0, glibc-2.30-r8, 5.4.39 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.4.39-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-gentoo-2.7
KiB Mem:    32888592 total,  14673780 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Thu, 07 May 2020 18:00:01 +0000
Head commit of repository gentoo: 21a09e5616c1fcfb9f1238f9cce141722b97e986
Timestamp of repository poly-c: Thu, 07 May 2020 18:30:42 +0000
sh dash 0.5.10.2-r1
ld GNU ld (Gentoo 2.34 p1) 2.34.0
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.2::gentoo
dev-lang/python:          2.7.18::gentoo, 3.6.10-r2::gentoo, 3.7.7-r2::gentoo, 3.8.2-r2::gentoo
dev-util/cmake:           3.17.2::gentoo
sys-apps/baselayout:      2.7::poly-c
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.34::gentoo
sys-devel/gcc:            8.3.0-r3::gentoo, 9.3.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.6::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r8::gentoo
Repositories:

gentoo
    location: /var/portage
    sync-type: rsync
    sync-uri: rsync://192.168.0.254/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: --new-compress
    sync-rsync-verify-max-age: 24

poly-c
    location: /var/lib/layman/poly-c
    masters: gentoo
    priority: 0

thabairne
    location: /var/lib/layman/thabairne
    masters: gentoo
    priority: 1

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ConsoleKit /etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/dconf /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/polkit-1 /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/usb_modeswitch.d /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=native -mtune=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n --binpkg-respect-use=n --verbose-slot-rebuilds=n --keep-going --fuzzy-search=n --dynamic-deps=y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
INSTALL_MASK="/etc/systemd /lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd /etc/init.d/functions.sh /usr/lib64/firefox/browser/features/firefox@getpocket.com.xpi"
LANG="C.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
LINGUAS="de de@1901 en"
MAKEOPTS="-j4"
PKGDIR="/opt/portage/packages"
PORTAGE_BZIP2_COMMAND="lbzip2"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--new-compress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 branding brotli bzip2 cairo caps cdda cdr cli crypt cups dbus declarative dts dvd dvdr elogind emboss encode exif ffmpeg flac gcrypt gdbm gif gmp gnutls gtk iconv icu idn inotify ipv6 jpeg jpeg2k kde kipi kwallet lame lcms libinput libnotify libtirpc lzma mad matroska midi mmap mmx mmxext mng mp3 mp4 mpeg mpfr multilib ncurses nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt5 quicktime readline rtmp sdl seccomp slang spell split-usr sse sse2 ssl startup-notification svg theora threads tiff tinfo truetype twolame udev udisks unicode upower usb vaapi vcd vdpau vorbis vpx vulkan wayland webp widgets wxwidgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xv xvid zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="gnutls" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de de-1901 en" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python3_6 python3_7 python3_8" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="radeon radeonsi"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

media-libs/gst-plugins-base-1.16.2::gentoo was built with the following:
USE="X alsa egl -gbm -gles2 introspection -ivorbis nls ogg opengl orc pango theora vorbis -wayland" ABI_X86="-32 (64) (-x32)"
Comment 1 Chris Mayo 2020-05-10 14:21:35 UTC
Created attachment 637626 [details, diff]
Fix bashisms in configure for Wayland

A /bin/sh != Bash issue.

Patch by me attached.
Signed-off-by: Chris Mayo <aklhfex@gmail.com>

N.B. there are potentially issues with GLES configuration too:

https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/658
Comment 2 Mart Raudsepp gentoo-dev 2020-05-11 20:36:15 UTC
Feels like a case for CONFIG_SHELL=/bin/bash in gstreamer.eclass; any objections from those who care about this?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2020-05-11 20:47:59 UTC
Created attachment 638244 [details, diff]
gst-plugins-base-1.16.2-avoid_bashisms.patch
Comment 4 Mart Raudsepp gentoo-dev 2020-05-12 09:31:41 UTC
(in the context of 1.18 being meson anyways)
Comment 5 Paolo Pedroni 2020-06-30 08:45:53 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #3)
> Created attachment 638244 [details, diff] [details, diff]
> gst-plugins-base-1.16.2-avoid_bashisms.patch

It doesn't help...
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2020-06-30 08:53:09 UTC
(In reply to Paolo Pedroni from comment #5)
> (In reply to Lars Wendler (Polynomial-C) from comment #3)
> > Created attachment 638244 [details, diff] [details, diff] [details, diff]
> > gst-plugins-base-1.16.2-avoid_bashisms.patch
> 
> It doesn't help...

It does when you call "eautoreconf" from autotools.eclass (see my ebuild fork in poly-c overlay)
Comment 7 Paolo Pedroni 2020-06-30 08:57:08 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #6)
> > 
> > It doesn't help...
> 
> It does when you call "eautoreconf" from autotools.eclass (see my ebuild
> fork in poly-c overlay)

Ok. Thanks.
Comment 8 Rémi Cardona gentoo-dev 2020-11-02 08:30:44 UTC
@leio I got bit by this, mind if I fix this? Any preferred solution?
Comment 9 Mart Raudsepp gentoo-dev 2020-11-02 09:28:40 UTC
(In reply to Rémi Cardona from comment #8)
> @leio I got bit by this, mind if I fix this? Any preferred solution?

Maybe per-ebuild CONFIG_SHELL=/bin/bash works for this specific case for now?
Comment 10 Larry the Git Cow gentoo-dev 2020-11-15 19:30:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea1dcdf99ed090c9de98204e7229d65b88b277f1

commit ea1dcdf99ed090c9de98204e7229d65b88b277f1
Author:     Rémi Cardona <remi@gentoo.org>
AuthorDate: 2020-11-15 16:43:37 +0000
Commit:     Rémi Cardona <remi@gentoo.org>
CommitDate: 2020-11-15 19:30:19 +0000

    media-libs/gst-plugins-base: fix src_configure with non-bash shells
    
    Closes: https://bugs.gentoo.org/721582
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

 media-libs/gst-plugins-base/gst-plugins-base-1.16.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)